Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1600540 - Editing a host will disassociate the host from compute resource
Summary: Editing a host will disassociate the host from compute resource
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Compute Resources
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Shira Maximov
QA Contact: Sanket Jagtap
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-12 13:03 UTC by Sanket Jagtap
Modified: 2019-04-01 20:27 UTC (History)
5 users (show)

Fixed In Version: foreman-1.18.0.6-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 18:57:57 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 23373 None None None 2018-07-12 15:03:59 UTC

Description Sanket Jagtap 2018-07-12 13:03:07 UTC
Description of problem:


Version-Release number of selected component (if applicable):
Build: Satellite 6.4.0 snap11

How reproducible:
Always

Steps to Reproduce:
1. Create a Host on  compute resource,
2. After creating the host , Go to edit host , and try to edit the host and hit submit,
3.

Actual results:
This disassociates the host from the compute resource

Expected results:
It should not disassociate the host and edit them successfully

Additional info:
No error

Comment 2 Sanket Jagtap 2018-07-12 13:08:32 UTC
The bug blocks Vmware hot add functions and will also block other VM related actions for all other compute resources

Comment 3 pm-sat@redhat.com 2018-07-12 16:26:02 UTC
Upstream bug assigned to mshira@redhat.com

Comment 4 pm-sat@redhat.com 2018-07-12 16:26:07 UTC
Upstream bug assigned to mshira@redhat.com

Comment 5 orabin 2018-07-12 17:52:17 UTC
This happens when the host is connected to a hostgroup and instead of using the hostgroup's compute resource "inherit" is clicked and a different compute resource is selected.

The workaround for now is to avoid a hostgroup or use a hostgroup with the compute resource and not change it on the host.
In this snap using the hostgroup with compute resource selected gives an error. That is fixed in: https://bugzilla.redhat.com/show_bug.cgi?id=1572973 and then the workaround can be used until this bug is fixed.

Comment 6 pm-sat@redhat.com 2018-07-20 12:26:36 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/23373 has been resolved.

Comment 8 Sanket Jagtap 2018-08-31 08:42:46 UTC
Build: Satellite 6.4.0 snap 19 

I am able to edit the host created successfully.

Followed the steps from #c5. 

Host is not disassociated after editing and changes are done successfully

Comment 9 Bryan Kearney 2018-10-16 18:57:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.